use std::{error::Error, path::Path};

fn main() -> Result<(), Box<dyn Error>> {
    if std::env::var("CARGO_CFG_TARGET_OS")? == "windows" {
        let mut res = winresource::WindowsResource::new();
        res.set_icon("assets/lemur.ico");
        res.compile()?;
    }

    println!("cargo::rerun-if-changed=shrooms-vb-core");
    cc::Build::new()
        .include(Path::new("shrooms-vb-core/core"))
        .opt_level(2)
        .flag_if_supported("-fno-strict-aliasing")
        .define("VB_LITTLE_ENDIAN", None)
        .define("VB_SIGNED_PROPAGATE", None)
        .define("VB_DIV_GENERIC", None)
        .file(Path::new("shrooms-vb-core/core/vb.c"))
        .compile("vb");

    Ok(())
}
